<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku FramedWidget.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_framed_widget_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku FramedWidget.hpp</div></div>
</div><!--header-->
<div class="contents">

<p>Definicja klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>.  
<a href="#details">Więcej...</a></p>
<div class="textblock"><code>#include &lt;QFrame&gt;</code><br />
<code>#include &lt;QLabel&gt;</code><br />
<code>#include &lt;QVBoxLayout&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla FramedWidget.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="_framed_widget_8hpp__incl.png" border="0" usemap="#a_framed_widget_8hpp" alt=""/></div>
<map name="a_framed_widget_8hpp" id="a_framed_widget_8hpp">
<area shape="rect" title="Definicja klasy FramedWidget." alt="" coords="65,5,196,31"/>
<area shape="rect" title=" " alt="" coords="5,79,75,104"/>
<area shape="poly" title=" " alt="" coords="118,33,67,72,64,68,114,29"/>
<area shape="rect" title=" " alt="" coords="99,79,163,104"/>
<area shape="poly" title=" " alt="" coords="133,31,133,65,128,65,128,31"/>
<area shape="rect" title=" " alt="" coords="187,79,290,104"/>
<area shape="poly" title=" " alt="" coords="149,28,211,69,208,73,147,33"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="_framed_widget_8hpp__dep__incl.png" border="0" usemap="#a_framed_widget_8hppdep" alt=""/></div>
<map name="a_framed_widget_8hppdep" id="a_framed_widget_8hppdep">
<area shape="rect" title="Definicja klasy FramedWidget." alt="" coords="373,5,503,31"/>
<area shape="rect" href="_distance_win_8hpp.html" title="Definicja klasy DistanceWin." alt="" coords="75,79,193,104"/>
<area shape="poly" title=" " alt="" coords="377,36,184,81,183,76,375,31"/>
<area shape="rect" href="_framed_widget_8cpp.html" title="Definicja kostruktora klasy FramedWidget." alt="" coords="729,79,859,104"/>
<area shape="poly" title=" " alt="" coords="509,31,737,76,736,81,508,36"/>
<area shape="rect" href="_map3_d_8hpp.html" title="Definicja klasy Map3D." alt="" coords="217,79,304,104"/>
<area shape="poly" title=" " alt="" coords="398,38,291,81,289,76,396,33"/>
<area shape="rect" href="_terminal_8hpp.html" title="Definicja klasy Terminal." alt="" coords="329,79,425,104"/>
<area shape="poly" title=" " alt="" coords="421,43,389,80,385,77,417,40"/>
<area shape="rect" href="_travel_info_8hpp.html" title="Definicja klasy TravelInfo." alt="" coords="449,79,553,104"/>
<area shape="poly" title=" " alt="" coords="459,39,493,77,489,80,455,43"/>
<area shape="rect" href="_velocity_graph_8hpp.html" title="Definicja klasy VelocityGraph." alt="" coords="577,79,704,104"/>
<area shape="poly" title=" " alt="" coords="484,33,609,76,607,81,482,38"/>
<area shape="rect" href="_distance_win_8cpp.html" title="Definicje metod klasy DistanceWin." alt="" coords="5,152,124,177"/>
<area shape="poly" title=" " alt="" coords="115,116,78,154,74,150,111,112"/>
<area shape="rect" href="_main_window_8hpp.html" title="Definicja klasy MainWindow." alt="" coords="259,152,379,177"/>
<area shape="poly" title=" " alt="" coords="177,106,290,149,288,154,175,111"/>
<area shape="rect" href="_main_window_8cpp.html" title="Definicje metod klasy MainWindow." alt="" coords="198,225,318,251"/>
<area shape="poly" title=" " alt="" coords="302,190,270,227,266,223,298,186"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="342,225,417,251"/>
<area shape="poly" title=" " alt="" coords="340,186,372,223,368,227,336,190"/>
<area shape="poly" title=" " alt="" coords="281,113,312,150,308,154,277,116"/>
<area shape="rect" href="_map3_d_8cpp.html" title="Definicje metod klasy Map3D." alt="" coords="148,152,235,177"/>
<area shape="poly" title=" " alt="" coords="242,116,204,154,201,150,238,112"/>
<area shape="poly" title=" " alt="" coords="361,116,331,154,327,150,357,113"/>
<area shape="rect" href="_terminal_8cpp.html" title="Definicje metod klasy Terminal." alt="" coords="403,152,499,177"/>
<area shape="poly" title=" " alt="" coords="400,111,441,150,437,154,397,115"/>
<area shape="poly" title=" " alt="" coords="460,111,350,154,348,149,458,106"/>
<area shape="rect" href="_travel_info_8cpp.html" title="Definicje metod klasy TravelInfo." alt="" coords="523,152,627,177"/>
<area shape="poly" title=" " alt="" coords="524,111,565,150,561,154,521,115"/>
<area shape="poly" title=" " alt="" coords="576,110,372,154,371,149,575,104"/>
<area shape="rect" href="_velocity_graph_8cpp.html" title="Definicje metod klasy VelocityGraph." alt="" coords="652,152,779,177"/>
<area shape="poly" title=" " alt="" coords="664,111,705,150,701,154,661,115"/>
</map>
</div>
</div>
<p><a href="_framed_widget_8hpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html">FramedWidget</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Klasa bazowa głównych widgetów okna aplikacji.  <a href="class_framed_widget.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Plik zawiera definicję klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>, która jest klasą bazową dla wszystkich widgetów wyświetlanych w oknie głównym. </p>

<p class="definition">Definicja w pliku <a class="el" href="_framed_widget_8hpp_source.html">FramedWidget.hpp</a>.</p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_framed_widget_8hpp.html">FramedWidget.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
